local mod = ...

mod:registerAssetId("heraldry/tree.png", "HERALDRY_FOREST", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_FOREST",
	Description = "VILLAGE_FOREST_DESC",
	Heraldry = "HERALDRY_FOREST",
	VillageName = "The Forest of Newingrave",
	UnlockCost = {{ Resource = "CLOTHES", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.60,
	BuyingResourceList = {
		--
    --
		{ ResourceMaxAmount = { Resource = "STONE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } },
		{ ResourceMaxAmount = { Resource = "FISH", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
		{ ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
	},
	SellingResourceList={
		-- r_furntiture
		{ ResourceMaxAmount = { Resource = "WOOD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
		{ ResourceMaxAmount = { Resource = "PLANK", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } },
		{ ResourceMaxAmount = { Resource = "BOAR", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },  
		{ ResourceMaxAmount = { Resource = "COAL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
		{ ResourceMaxAmount = { Resource = "HERBS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
	},
	Allegiance = "KINGDOM"
})
