local mod = ...

mod:registerAssetId("heraldry/lighthouse.png", "HERALDRY_ISLAND", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_ISLAND",
	Description = "VILLAGE_ISLAND_DESC",
	Heraldry = "HERALDRY_ISLAND",
	VillageName = "Kerrowich Island",
	UnlockCost = {{ Resource = "PLANK", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.65,
	BuyingResourceList = {
		-- 
		--
		{ ResourceMaxAmount = { Resource = "WOOD", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
		{ ResourceMaxAmount = { Resource = "PLANK", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } },
		{ ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
	},
	SellingResourceList={
		-- bv1_salt
		-- bv1_brine
		-- saltv5_salting
		--
		--
		{ ResourceMaxAmount = { Resource = "FISH", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },	
	},
	Allegiance = "LABOUR"
})
