local mod = ...

mod:registerAssetId("heraldry/chains.png", "HERALDRY_MONK", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_MONK",
	Description = "VILLAGE_MONK_DESC",
	Heraldry = "HERALDRY_MONK",
	VillageName = "Brothers of the Iron Chain",
	UnlockCost = {{ Resource = "POLISHED_STONE", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.70,
	BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "STAINED_GLASS", 	Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } },
		{ ResourceMaxAmount = { Resource = "POLISHED_STONE", 	Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } },
		{ ResourceMaxAmount = { Resource = "MARBLE", 		Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "GEMS", 		Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } },
		{ ResourceMaxAmount = { Resource = "BARREL", 		Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
	},
	SellingResourceList={
		{ ResourceMaxAmount = { Resource = "GRAPES", 		Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
		{ ResourceMaxAmount = { Resource = "WINE", 		Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
		{ ResourceMaxAmount = { Resource = "HONEY", 		Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "RESOURCE_CANDLE", 	Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },		
	},
	Allegiance = "CLERGY"
})